-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}
--local lipstate = false
local liptoggle = false
local lip_state = false

local function onReset()
  electrics.values['lip'] = 0
  electrics.values['lip_input'] = 0
  --electrics.values['lip_state'] = false
  local lip_state = false
end

local function updateGFX(dt) -- ms
    if lip_state == false then
        electrics.values["lip"] = -0.5
        else
        electrics.values["lip"] = 0
    end

    if electrics.values.wheelspeed > 16 
        then
        lip_state = true
    end

    if electrics.values.wheelspeed < 16 
        then
            if liptoggle == true then
            lip_state = true
            else
            lip_state = false
        end
    end

    if electrics.values['lip_input'] == 1 then
        liptoggle = not liptoggle
        electrics.values['lip_input'] = electrics.values['lip_input'] + 1
    end
  --print(liptoggle)
end

local function lipup(value)
  electrics.values.lip_input = value
end
-- public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX
M.lipup = lipup

return M
